Package org.apache.felix.hc.core.impl.servlet

## Class ResultTxtVerboseSerializer

- java.lang.Object
- - org.apache.felix.hc.core.impl.servlet.ResultTxtVerboseSerializer

    public class ResultTxtVerboseSerializer
    extends Object

Serializes health check results into a verbose text message.

### Constructor Summary

Constructors
`ResultTxtVerboseSerializer()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `activate​(org.apache.felix.hc.core.impl.servlet.ResultTxtVerboseSerializerConfiguration configuration)`
`static String` `rightPad​(String s, int size)`
`String` `serialize​(String label, List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults, boolean includeDebug)`
`String` `serialize​(org.apache.felix.hc.api.Result overallResult, List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults, boolean includeDebug)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResultTxtVerboseSerializer

    public ResultTxtVerboseSerializer()

### Method Detail

#### activate

    protected final void activate​(org.apache.felix.hc.core.impl.servlet.ResultTxtVerboseSerializerConfiguration configuration)

#### serialize

    public String serialize​(String label,
                            List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults,
                            boolean includeDebug)

#### serialize

    public String serialize​(org.apache.felix.hc.api.Result overallResult,
                            List<org.apache.felix.hc.api.execution.HealthCheckExecutionResult> executionResults,
                            boolean includeDebug)

#### rightPad

    public static String rightPad​(String s,
                                  int size)